Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 20 Apr 2020 06:22:58 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Recommend not to order from Babyshop the delivery is a disaster. I made an order on 31st March as of today it is not reached. They use Aramex and they are worst in customers service. When I Call babyshop toll free for reimbursements and cancellation of order they says return the product. If the product is not delivered how I am going to return? If I contact #aramex toll free no answer at all. I went to thier office twice and they said will be an sms. When? No idea. They scheduled same delivery through what’s up more than 3 times never delivered. And it’s keep on going. I made two complaints to babyshop no response either.

Order details 9774909977 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/737546